net.minecraft.pathfinding

## Class PathEntity

- java.lang.Object
- - net.minecraft.pathfinding.PathEntity

-     public class PathEntity
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PathEntity(PathPoint[] par1ArrayOfPathPoint)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getCurrentPathIndex()`
    `int` | `getCurrentPathLength()`
    `PathPoint` | `getFinalPathPoint()`
    `PathPoint` | `getPathPointFromIndex(int par1)`
    `Vec3` | `getPosition(Entity par1Entity)`
    `Vec3` | `getVectorFromIndex(Entity par1Entity, int par2)`
    `void` | `incrementPathIndex()`
    `boolean` | `isDestinationSame(Vec3 par1Vec3)`
    `boolean` | `isFinished()`
    `boolean` | `isSamePath(PathEntity par1PathEntity)`
    `void` | `setCurrentPathIndex(int par1)`
    `void` | `setCurrentPathLength(int par1)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PathEntity

          public PathEntity(PathPoint[] par1ArrayOfPathPoint)

  - ### Method Detail

    - #### incrementPathIndex

          public void incrementPathIndex()

    - #### isFinished

          public boolean isFinished()

    - #### getFinalPathPoint

          public PathPoint getFinalPathPoint()

    - #### getPathPointFromIndex

          public PathPoint getPathPointFromIndex(int par1)

    - #### getCurrentPathLength

          public int getCurrentPathLength()

    - #### setCurrentPathLength

          public void setCurrentPathLength(int par1)

    - #### getCurrentPathIndex

          public int getCurrentPathIndex()

    - #### setCurrentPathIndex

          public void setCurrentPathIndex(int par1)

    - #### getVectorFromIndex

          public Vec3 getVectorFromIndex(Entity par1Entity,
                                int par2)

    - #### getPosition

          public Vec3 getPosition(Entity par1Entity)

    - #### isSamePath

          public boolean isSamePath(PathEntity par1PathEntity)

    - #### isDestinationSame

          public boolean isDestinationSame(Vec3 par1Vec3)